#
# 
# Automated installation for photoprism
# 
# Project: playbooks
# Author: Tobias Lehmann <tobias.lehmann@captica.de>
# License: MIT License (see LICENSE.md)
# 
# Copyright (c) captica GmbH est. 2021
#
- hosts: "leh01"
  name: Create container
  vars:
    lxc_id: 142
    lxc_name: photoprism
    lxc_domain: leh01.local
    lxc_template: "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst"
    lxc_mac: CC:CC:CC:18:01:80
    lxc_bridge: vmbr180
    lxc_vlan: ""
    lxc_disk: datapool:20
    lxc_cpu: 8
    lxc_memory: 8192
    lxc_swap: 8192
    lxc_ssh_pub_key: ~/.ssh/id_ed25519_ansible.pub
  roles:
    - lxc-container

- hosts: "photoprism" 
  vars:    
    hostname: photoprism
    vars:   
      photoprism_default_locale: "de"
      photoprism_places_locale: "local"
      photoprism_site_url: "https://fotos.lehmannhaus.de"
      photoprism_site_caption: "AI-powered photo library - lehmannhaus.de"
      photoprism_site_description: ""
      photoprism_site_author: "lehmannhaus.de"
      PHOTOPRISM_AUTH_MODE: "oidc"
      PHOTOPRISM_OIDC_URI: "https://cloud.lehmannhaus.de"
      PHOTOPRISM_OIDC_CLIENT: "{{photoprism_oidc_client}}"
      PHOTOPRISM_OIDC_SECRET: "{{photoprism_oidc_secret}}"
      PHOTOPRISM_OIDC_PROVIDER: "nextcloud"
      PHOTOPRISM_OIDC_USERNAME: "preferred_username"
      PHOTOPRISM_OIDC_REGISTER: "true"
      PHOTOPRISM_AUTOINDEX: "true"
    docker_portainer_agent_enabled: true
    tools_install_users:
      - root     
      - ansible
    ssh_pubkeys_root:
      - "../files/ssh/root.pub"
    ssh_pubkeys_ansible:
      - "../files/ssh/ansible.pub"
  roles: 
    - linux-base-install
    - zsh
    - vim    
    - fzf    
    - linux-docker
    - photoprism